Package org.apache.avro.io.parsing

# Class Symbol.EnumLabelsAction

java.lang.Object
org.apache.avro.io.parsing.Symbol
org.apache.avro.io.parsing.Symbol.IntCheckAction
org.apache.avro.io.parsing.Symbol.EnumLabelsAction

Enclosing class:
  `Symbol`

public static class Symbol.EnumLabelsAction extends Symbol.IntCheckAction

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.avro.io.parsing.Symbol

`Symbol.Alternative, Symbol.DefaultStartAction, Symbol.EnumAdjustAction, Symbol.EnumLabelsAction, Symbol.ErrorAction, Symbol.FieldAdjustAction, Symbol.FieldOrderAction, Symbol.ImplicitAction, Symbol.IntCheckAction, Symbol.Kind, Symbol.Repeater, Symbol.ResolvingAction, Symbol.Root, Symbol.Sequence, Symbol.SkipAction, Symbol.UnionAdjustAction, Symbol.WriterUnionAction`

## Field Summary

Fields
Modifier and Type
Field
Description
`final List<String>`
`symbols`

### Fields inherited from class org.apache.avro.io.parsing.Symbol.IntCheckAction

`size`

### Fields inherited from class org.apache.avro.io.parsing.Symbol

`ARRAY_END, ARRAY_START, BOOLEAN, BYTES, DEFAULT_END_ACTION, DOUBLE, ENUM, FIELD_ACTION, FIELD_END, FIXED, FLOAT, INT, ITEM_END, kind, LONG, MAP_END, MAP_KEY_MARKER, MAP_START, NULL, production, RECORD_END, RECORD_START, STRING, UNION, UNION_END, WRITER_UNION_ACTION`

## Constructor Summary

Constructors
Constructor
Description
`EnumLabelsAction(List<String> symbols)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`int`
`findLabel(String l)`
`String`
`getLabel(int n)`

### Methods inherited from class org.apache.avro.io.parsing.Symbol

`defaultStartAction, enumAdjustAction, enumLabelsAction, fieldAdjustAction, fieldOrderAction, flatten, flattenedSize, flattenedSize, hasErrors, intCheckAction, skipAction, unionAdjustAction, writerUnionAction`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### symbols

public final List<String> symbols

## Constructor Details

### EnumLabelsAction

@Deprecated public EnumLabelsAction(List<String> symbols)
Deprecated.

## Method Details

### getLabel

public String getLabel(int n)

### findLabel

public int findLabel(String l)